﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _806170
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();   
            
            BindingList<MyClass> list = new BindingList<MyClass>();
            for (int i = 0; i < 10; i++)
            {
                list.Add(new MyClass("Value 1", Days.Mon));
            }
            BindingSource source = new BindingSource();
            source.DataSource = GetTable(); 
            
            radBindingNavigator1.BindingSource = source;
            radDataEntry1.DataSource = source;
        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Str", typeof(string));
            table.Columns.Add("Day", typeof(DayOfWeek));
            
            table.Rows.Add("Value 1", DayOfWeek.Monday);
            table.Rows.Add("Value 2", DayOfWeek.Sunday);

            return table;
        }
    }

    public enum Days
    {
        Sat,
        Sun,
        Mon,
        Tue,
        Wed,
        Thu,
        Fri
    };
    class MyClass
    {
        public string Str { get; set; }

        public Days day { get; set; }

        public MyClass(string str, Days d)
        {
            this.Str = str;
            this.day = d;
        }
    }
}